HOW can i build boost with vs2017 and support win_xp

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

HOW can i build boost with vs2017 and support win_xp

Boost - Build mailing list
Because the inter-process communication function of the boost library is needed, the boost library is compiled. But it works well on XP. According to the network tutorial, the boost library supporting XP is compiled.

The following compilation method I found on the Internet. But if you put the program under XP, it will crash as long as you call the BOOST library. Big guys please advise

call .\bootstrap.bat
     .\b2.exe -j5 --toolset=msvc-14.1_xp --with-date_time --with-filesystem --with-system --with-thread --with-regex link=static runtime-link=static

_______________________________________________
Unsubscribe & other changes: https://lists.boost.org/mailman/listinfo.cgi/boost-build